<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Get a single referendum's data — rfrnd • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Get a single referendum's data — rfrnd"><meta name="description" content="Downloads a single referendum's data from the Referendum Database (RDB). See the codebook for a detailed description of all variables."><meta property="og:description" content="Downloads a single referendum's data from the Referendum Database (RDB). See the codebook for a detailed description of all variables."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Get a single referendum's data</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>rfrnd.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Downloads a single referendum's data from the Referendum Database (RDB). See the <code><a href="data_codebook.html">codebook</a></code> for a detailed description of all variables.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">rfrnd</span><span class="op">(</span></span>
<span>  <span class="va">id</span>,</span>
<span>  incl_archive <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  tidy <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  use_testing_server <span class="op">=</span> <span class="fu">funky</span><span class="fu">::</span><span class="fu"><a href="https://funky.rpkg.dev/reference/config_val.html" class="external-link">config_val</a></span><span class="op">(</span><span class="st">"use_testing_server"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-id">id<a class="anchor" aria-label="anchor" href="#arg-id"></a></dt>
<dd><p>Referendum's unique <a href="https://rdb.rpkg.dev/articles/codebook.html#id">identifier</a>.</p></dd>


<dt id="arg-incl-archive">incl_archive<a class="anchor" aria-label="anchor" href="#arg-incl-archive"></a></dt>
<dd><p>Whether or not to include an <code>archive</code> column containing data from an earlier, obsolete state of the Referendum Database (RDB).</p></dd>


<dt id="arg-tidy">tidy<a class="anchor" aria-label="anchor" href="#arg-tidy"></a></dt>
<dd><p>Whether or not to tidy the referendum data, i.e. apply various data cleansing tasks and add additional variables. If <code>FALSE</code>, the raw MongoDB
referendum data will only be modified just enough to be able to return it as a <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>. Note that untidy data doesn't conform to the
<a href="data_codebook.html">codebook</a> (i.a. different variable names).</p></dd>


<dt id="arg-use-testing-server">use_testing_server<a class="anchor" aria-label="anchor" href="#arg-use-testing-server"></a></dt>
<dd><p>Whether or not to use the testing servers instead of the production servers for RDB Services API calls etc.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum data functions:
<code><a href="add_rfrnds.html">add_rfrnds</a>()</code>,
<code><a href="assert_vars.html">assert_vars</a>()</code>,
<code><a href="count_rfrnds.html">count_rfrnds</a>()</code>,
<code><a href="delete_rfrnds.html">delete_rfrnds</a>()</code>,
<code><a href="download_file_attachment.html">download_file_attachment</a>()</code>,
<code><a href="edit_rfrnds.html">edit_rfrnds</a>()</code>,
<code><a href="rfrnd_exists.html">rfrnd_exists</a>()</code>,
<code><a href="rfrnds.html">rfrnds</a>()</code>,
<code><a href="rfrnds_bkp.html">rfrnds_bkp</a>()</code>,
<code><a href="validate_rfrnds.html">validate_rfrnds</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu">rfrnd</span><span class="op">(</span>id <span class="op">=</span> <span class="st">"5bbbe26a92a21351232dd73f"</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 1 × 67</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   id    id_official id_sudd country_code country_name subnational_entity_n…¹ municipality level date       is_former_country title_en title_de title_fr question</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span> <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>       <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>                  <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;ord&gt;</span> <span style="color: #949494; font-style: italic;">&lt;date&gt;</span>     <span style="color: #949494; font-style: italic;">&lt;lgl&gt;</span>             <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>    <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">1</span> 5bbb… 5           <span style="color: #BB0000;">NA</span>      CH           Switzerland  <span style="color: #BB0000;">NA</span>                     <span style="color: #BB0000;">NA</span>           nati… 1866-01-14 <span style="color: #BB0000;">NA</span>                Tax and… Besteue… Impôts … <span style="color: #BB0000;">NA</span>      </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ abbreviated name: ¹​subnational_entity_name</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 53 more variables: question_en &lt;chr&gt;, committee_name &lt;chr&gt;, result &lt;fct&gt;, subterritories_yes &lt;dbl&gt;, subterritories_no &lt;dbl&gt;, electorate_total &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   electorate_abroad &lt;int&gt;, votes_yes &lt;int&gt;, votes_no &lt;int&gt;, votes_empty &lt;int&gt;, votes_invalid &lt;int&gt;, votes_per_subterritory &lt;list&gt;, lower_house_yes &lt;int&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   lower_house_no &lt;int&gt;, lower_house_abstentions &lt;int&gt;, upper_house_yes &lt;int&gt;, upper_house_no &lt;int&gt;, upper_house_abstentions &lt;int&gt;, position_government &lt;fct&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   topics_tier_1 &lt;list&gt;, topics_tier_2 &lt;list&gt;, topics_tier_3 &lt;list&gt;, remarks &lt;chr&gt;, files &lt;list&gt;, sources &lt;chr&gt;, is_draft &lt;lgl&gt;, date_time_created &lt;dttm&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   date_time_last_edited &lt;dttm&gt;, type &lt;fct&gt;, inst_legal_basis_type &lt;ord&gt;, inst_has_urgent_legal_basis &lt;lgl&gt;, inst_is_binding &lt;lgl&gt;,</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;">#   inst_is_counter_proposal &lt;lgl&gt;, inst_is_assembly &lt;lgl&gt;, inst_trigger_type &lt;fct&gt;, inst_trigger_actor &lt;fct&gt;, inst_trigger_actor_level &lt;ord&gt;, …</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

